<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>xAPI Definitions Parser: Packages</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">xAPI Definitions Parser
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "search",'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="headertitle"><div class="title">Packages</div></div>
</div><!--header-->
<div class="contents">
<div class="textblock">Here are the packages with brief descriptions (if available):</div><div class="directory">
<div class="levels">[detail level <span onclick="javascript:toggleLevel(1);">1</span><span onclick="javascript:toggleLevel(2);">2</span><span onclick="javascript:toggleLevel(3);">3</span><span onclick="javascript:toggleLevel(4);">4</span>]</div><table class="directory">
<tr id="row_0_" class="even"><td class="entry"><span style="width:0px;display:inline-block;">&#160;</span><span id="arr_0_" class="arrow" onclick="toggleFolder('0_')">&#9660;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespacex_a_p_i___definitions___parser.html" target="_self">xAPI_Definitions_Parser</a></td><td class="desc"></td></tr>
<tr id="row_0_0_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_0_" class="arrow" onclick="toggleFolder('0_0_')">&#9660;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code.html" target="_self">Code</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_0_0_" class="arrow" onclick="toggleFolder('0_0_0_')">&#9660;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_c_sharp.html" target="_self">CSharp</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_arguments.html" target="_self">CSharpCompilationArguments</a></td><td class="desc">Contains arguments for the CSharpCodeGenerator's compile method </td></tr>
<tr id="row_0_0_0_1_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_compilation_result.html" target="_self">CSharpCompilationResult</a></td><td class="desc"></td></tr>
<tr id="row_0_0_0_2_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_generator.html" target="_self">CSharpGenerator</a></td><td class="desc">Generates C# code files from the xAPI definitions </td></tr>
<tr id="row_0_0_0_3_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_c_sharp_1_1_c_sharp_serializer.html" target="_self">CSharpSerializer</a></td><td class="desc">Serializes C# source code out of a syntax tree </td></tr>
<tr id="row_0_0_1_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_0_1_" class="arrow" onclick="toggleFolder('0_0_1_')">&#9660;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_java_script.html" target="_self">JavaScript</a></td><td class="desc"></td></tr>
<tr id="row_0_0_1_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_compilation_arguments.html" target="_self">JavaScriptCompilationArguments</a></td><td class="desc">Contains arguments for the JavaScriptCodeGenerator's compile method </td></tr>
<tr id="row_0_0_1_1_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_compilation_result.html" target="_self">JavaScriptCompilationResult</a></td><td class="desc"></td></tr>
<tr id="row_0_0_1_2_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_generator.html" target="_self">JavaScriptGenerator</a></td><td class="desc">Generates <a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_java_script.html">JavaScript</a> code files from the xAPI definitions </td></tr>
<tr id="row_0_0_1_3_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_java_script_1_1_java_script_serializer.html" target="_self">JavaScriptSerializer</a></td><td class="desc">Serializes <a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_java_script.html">JavaScript</a> source code out of a syntax tree </td></tr>
<tr id="row_0_0_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_0_2_" class="arrow" onclick="toggleFolder('0_0_2_')">&#9660;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_python.html" target="_self">Python</a></td><td class="desc"></td></tr>
<tr id="row_0_0_2_0_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_compilation_arguments.html" target="_self">PythonCompilationArguments</a></td><td class="desc">Contains arguments for the PythonCodeGenerator's compile method </td></tr>
<tr id="row_0_0_2_1_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_compilation_result.html" target="_self">PythonCompilationResult</a></td><td class="desc"></td></tr>
<tr id="row_0_0_2_2_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_generator.html" target="_self">PythonGenerator</a></td><td class="desc">Generates <a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_python.html">Python</a> code files from the xAPI definitions </td></tr>
<tr id="row_0_0_2_3_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_python_1_1_python_serializer.html" target="_self">PythonSerializer</a></td><td class="desc">Serializes <a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_python.html">Python</a> source code out of a syntax tree </td></tr>
<tr id="row_0_0_3_"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span id="arr_0_0_3_" class="arrow" onclick="toggleFolder('0_0_3_')">&#9660;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree.html" target="_self">SyntaxTree</a></td><td class="desc"></td></tr>
<tr id="row_0_0_3_0_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_argument.html" target="_self">Argument</a></td><td class="desc">An argument in the syntax tree </td></tr>
<tr id="row_0_0_3_1_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_class.html" target="_self">Class</a></td><td class="desc">A class in the syntax tree </td></tr>
<tr id="row_0_0_3_2_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_constructor.html" target="_self">Constructor</a></td><td class="desc">A constructor in the syntax tree </td></tr>
<tr id="row_0_0_3_3_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getable_property.html" target="_self">GetableProperty</a></td><td class="desc">A property in the syntax tree with a getter </td></tr>
<tr id="row_0_0_3_4_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_getter.html" target="_self">Getter</a></td><td class="desc">A getter in the syntax tree </td></tr>
<tr id="row_0_0_3_5_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_import.html" target="_self">Import</a></td><td class="desc">An import of the syntax tree </td></tr>
<tr id="row_0_0_3_6_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method.html" target="_self">Method</a></td><td class="desc">A method in the syntax tree </td></tr>
<tr id="row_0_0_3_7_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_method_body.html" target="_self">MethodBody</a></td><td class="desc">A method body in the syntax tree </td></tr>
<tr id="row_0_0_3_8_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_null.html" target="_self">Null</a></td><td class="desc">A null object in the syntax tree </td></tr>
<tr id="row_0_0_3_9_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_parameter.html" target="_self">Parameter</a></td><td class="desc">A parameter in the syntax tree </td></tr>
<tr id="row_0_0_3_10_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_property.html" target="_self">Property</a></td><td class="desc">A property in the syntax tree </td></tr>
<tr id="row_0_0_3_11_"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html" target="_self">Root</a></td><td class="desc"><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_root.html" title="Root of the syntax tree">Root</a> of the syntax tree </td></tr>
<tr id="row_0_0_3_12_" class="even"><td class="entry"><span style="width:64px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_1_1_statement.html" target="_self">Statement</a></td><td class="desc">A statement in a method </td></tr>
<tr id="row_0_0_4_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html" target="_self">CodeGenerator</a></td><td class="desc">Generates CodeFiles from the xAPI definitions </td></tr>
<tr id="row_0_0_5_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_arguments.html" target="_self">CompilationArguments</a></td><td class="desc">Contains arguments for the <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html" title="Generates CodeFiles from the xAPI definitions">CodeGenerator</a>'s compile method </td></tr>
<tr id="row_0_0_6_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_compilation_result.html" target="_self">CompilationResult</a></td><td class="desc">Contains the result of the <a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_code_generator.html" title="Generates CodeFiles from the xAPI definitions">CodeGenerator</a>'s compile method </td></tr>
<tr id="row_0_0_7_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_code_1_1_syntax_tree_serializer.html" target="_self">SyntaxTreeSerializer</a></td><td class="desc">Serializes source code out of a syntax tree </td></tr>
<tr id="row_0_1_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_1_" class="arrow" onclick="toggleFolder('0_1_')">&#9660;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_definitions.html" target="_self">Definitions</a></td><td class="desc"></td></tr>
<tr id="row_0_1_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_activity.html" target="_self">xAPIActivity</a></td><td class="desc">Class that represents an xAPI activity </td></tr>
<tr id="row_0_1_1_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_context.html" target="_self">xAPIContext</a></td><td class="desc">An xAPI context </td></tr>
<tr id="row_0_1_2_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html" target="_self">xAPIDefinition</a></td><td class="desc">Class that represents an xAPI definition </td></tr>
<tr id="row_0_1_3_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definitions_list.html" target="_self">xAPIDefinitionsList</a></td><td class="desc">List of <a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_definition.html" title="Class that represents an xAPI definition">xAPIDefinition</a> objects </td></tr>
<tr id="row_0_1_4_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_extension.html" target="_self">xAPIExtension</a></td><td class="desc">Class that represents an xAPI extension </td></tr>
<tr id="row_0_1_5_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_definitions_1_1x_a_p_i_verb.html" target="_self">xAPIVerb</a></td><td class="desc">Class that represents an xAPI verb </td></tr>
<tr id="row_0_2_" class="even"><td class="entry"><span style="width:32px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_deserialization.html" target="_self">Deserialization</a></td><td class="desc"></td></tr>
<tr id="row_0_3_"><td class="entry"><span style="width:16px;display:inline-block;">&#160;</span><span id="arr_0_3_" class="arrow" onclick="toggleFolder('0_3_')">&#9660;</span><span class="icona"><span class="icon">N</span></span><a class="el" href="namespacex_a_p_i___definitions___parser_1_1_i_o.html" target="_self">IO</a></td><td class="desc"></td></tr>
<tr id="row_0_3_0_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_context.html" target="_self">Context</a></td><td class="desc">Class that represents a context of xAPI definitions </td></tr>
<tr id="row_0_3_1_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_manager.html" target="_self">FileManager</a></td><td class="desc">Manages the read and write operations of local files </td></tr>
<tr id="row_0_3_2_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_file_meta.html" target="_self">FileMeta</a></td><td class="desc">Struct that represents a file or directory </td></tr>
<tr id="row_0_3_3_"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_git_lab_manager.html" target="_self">GitLabManager</a></td><td class="desc">Manages the read and write operations of GitLab files </td></tr>
<tr id="row_0_3_4_" class="even"><td class="entry"><span style="width:48px;display:inline-block;">&#160;</span><span class="icona"><span class="icon">C</span></span><a class="el" href="classx_a_p_i___definitions___parser_1_1_i_o_1_1_i_o_manager.html" target="_self">IOManager</a></td><td class="desc">Manages the read and write operations of a source type </td></tr>
</table>
</div><!-- directory -->
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
